import 'dart:async';
import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';
import './validator.dart';

enum ThumbFormat { PNG, JPEG, WEBP }

class ThumbnailExtractor {
  static const MethodChannel _channel = const MethodChannel('vkpdeveloper/thumbnail_extractor');

  static Future<String> getThumbnail(
      {@required String videoFile,
        String thumbnailFolder,
        ThumbFormat imageType,
        int quality}) async {
    var utilMap = <String, dynamic>{
      'videoFilePath': videoFile,
      'thumbFilePath': thumbnailFolder,
      'thumbnailFormat': validateType(imageType),
      'thumbnailQuality': validateQuality(quality)
    };
    String thumbnailPath = await _channel.invokeMethod('getThumbnail', utilMap);
    return thumbnailPath;
  }
}